Bug 191434 - Review Request: xarchon - Arcade board game
Review Request: xarchon - Arcade board game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-11 18:01 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 15:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-05-11 18:01:30 EDT
Spec URL: http://home.zonnet.nl/jwrdegoede/xarchon.spec
SRPM URL: http://home.zonnet.nl/jwrdegoede/xarchon-0.50-1.src.rpm
Description:
XArchon is a chess with a twist board game. It is modelled after the golden
oldie Archon game created by Freefall Associates.
Comment 1 Wart 2006-05-12 14:27:37 EDT
MUST
====
 * rpmlint output clean
 * Sources match upstream
   491dea5b4e61ed13cd988d1c184a8ef0  xarchon-0.50.tar.gz
 * GPL license ok, license file included
 * Package and spec file named appropriately
 * .desktop file installed correctly
 * RPM_BUILD_ROOT cleaned appropriately
 * spec file is legible and in Am. English
 * No locales  * No shared libs
 * No -devel subpackage needed
 * No -docs subpackage needed
 * Not relocatable
 * Owns all directories that it creates
 * Builds fine in mock on FC-4-i386

MUSTFIX
=======
 * Macro use isn't consistent.  'xarchon' is used in some places, while
   %{name} is used in others.

SHOULD
======
 * Don't bother including the NEWS file, it just tells the user to read
the ChangeLog file.

 * Missing BR: libXpm-devel on FC-5.
Comment 2 Hans de Goede 2006-05-13 04:34:17 EDT
(In reply to comment #1)
> MUSTFIX
> =======
>  * Macro use isn't consistent.  'xarchon' is used in some places, while
>    %{name} is used in others.
>
Fixed

> SHOULD
> ======
>  * Don't bother including the NEWS file, it just tells the user to read
> the ChangeLog file.
>
Done

>  * Missing BR: libXpm-devel on FC-5.
>
Added (for -devel too)

New version:
Spec URL: http://home.zonnet.nl/jwrdegoede/xarchon.spec
SRPM URL: http://home.zonnet.nl/jwrdegoede/xarchon-0.50-2.src.rpm
Comment 3 Ville Skyttä 2006-05-13 05:50:45 EDT
Nit: hardcoded .gz man page suffix
Comment 4 Hans de Goede 2006-05-13 06:57:47 EDT
I always use a harcoded .gz for the manpage suffix. I try to use as little
wildcards as possible in my %files sections. If a newer upstream versions
installs new files I want to know. I've seen people do %{_bindir}/*
%{_mandir}/man6/* etc, which IMHO is not a good idea.

I know that the compressing sometimes is done by rpmbuild and the manpage's are
installed uncompressed by make install, but AFAIK now a days they always end up
being compressed.
Comment 5 Wart 2006-05-15 13:53:50 EDT
All MUST and SHOULD items addressed.  Runs without crashing (though I didn't
test it extensively).

APPROVED
Comment 6 Hans de Goede 2006-05-15 15:14:44 EDT
Thanks! I would like todo something back but Chris has taken all your reviews
sofar :) Imported and Build.
Comment 7 Wart 2006-05-15 15:17:44 EDT
#187392?  :)

Note You need to log in before you can comment on or make changes to this bug.